Get domains

Get domains

get
Query parameters
Typestring · enumOptional

JFramework supports multiple domain types, each designed for a specific use case

Possible values:
Protocolstring · enumOptional

The protocol of the domain.

Possible values:
DomainstringOptional

The domain name.

KeywordsstringOptional

The keywords of the domain.

VerifiedbooleanOptional

Filter by the verified domain.

IsDefaultbooleanOptional

Filter by the default domain.

IsPrimarybooleanOptional

Filter by the primary domain.

SortDataFieldstringOptional

The sort data field to sort. By default, the value is ID.

SortOrderstring · enumOptional

Specifies the sorting order type for a collection.

Possible values:
PageNumberinteger · int32Optional

The page number of the pagination. Default value is 0.

PageSizeinteger · int32Optional

The page size of the pagination. Default value is 200.

Header parameters
Brand-URLstringRequired

The brand URL of the request. This is used to identify the brand.

Example: YOUR_BRAND_URL
Responses
chevron-right
200

The request was successful.

application/json

This provides interfaces for API responses with data.

successbooleanRead-onlyRequired

This is the flag to indicate whether the API call is successful or not.

statusCodeinteger · int32Read-onlyRequired

This is the HTTP status code. This is used to determine the status code to be returned to the client.

messagestring · min: 1Read-onlyRequired

This is the message to be displayed to the user.

get
/api/v1/domains

Last updated